#{extends 'borderNG.html' /}

#{set 'titleHead'}
 &{'konten.titlehead'}
#{/set}

<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'konten.beranda'}</a></li>
	<li><a href="@{admin.KontenMultimediaCtr.index()}">&{'konten.title'}</a></li>
	#{if konten}
	<li class="active">Edit ${konten.stringJenis()}</li>
	#{/if}
</ol>

<div class="content">
	<div class="bs-callout bs-callout-warning">
	 <strong> &{'konten.ketentuan'}:</strong>
	 <ol>
	     <li>
			 &{'konten.ketentuan_gambar'}
	       <ul style="list-style-position: inside; list-style-type: disc; margin-left: 5px; padding-left: 3px;">
	       	<li>
				<i>&{'konten.slide'}</i> &{'konten.ukuran'} <strong>750px</strong> x <strong>280px</strong></li>
				<li><i>&{'konten.banner'}</i> &{'konten.ukuran'} <strong>375px</strong> x <strong>140px</strong></li>
			</ul>
	     </li>
	    <li>&{'konten.desckonten'}<i>link</i></li>
	  </ol>
	</div>
	#{alert /}
	#{form @admin.KontenMultimediaCtr.submit(konten?.media_id), method:'POST', enctype:'multipart/form-data'}
    <input type="hidden" name="konten.jenis" value="${konten?.jenis}" />
    #{if konten?.path != null && konten?.media_id != null} *{ Update image }*    
    <div class="col-lg-12"  style="background:darkgrey; text-align:center;">
        <p><strong>&{'konten.previewimage'}</strong></p>
      <center>  <img src="${konten.url}" style="background: white;" class="img-responsive"></center>
        <div class=""id="namaFile"></div>     
    </div>
    #{/if}    
    <span>&nbsp</span>
    <div class="col-lg-12">
     	<div class="form-group">
			<label class="col-lg-2 control-label">&{'konten.judul'} <span class="warning">*</span></label>
			<div class="col-lg-10 #{errorClass 'konten.judul'/}">
				<input type="text" name="konten.judul" value="${konten?.judul}" class="form-control"/>
				<span class="help-block">#{error 'konten.judul' /}</span>
			</div>
		</div>		
		 <div class="form-group row">
		 #{if konten?.path != null && konten?.media_id != null}
		 	<label class="col-lg-2 control-label">&{'konten.berkas'}</label>
		 #{/if}
		 #{if konten?.path == null && konten?.media_id == null}
		 	<label class="col-lg-2 control-label">&{'konten.berkas'} <span class="warning">*</span></label>
		 #{/if}			
			<div class="col-lg-10">
				<input type="file" size="80" name="blobTable"  class="form-control #{validate 'konten.file_name'/}"/>
		 #{if konten?.file_name}
                <br />                  
               ${konten.file_name}
           #{/if}
				<div class="invalid-feedback">#{error 'konten.file_name' /}</div>
			</div>
			
		</div>
		 #{if konten?.stringJenis() != "Link"}
		<div class="form-group">
			<label class="col-lg-2 control-label">&{'konten.desc'}</label>
			<div class="col-lg-10 #{errorClass 'konten.description'/}">
				<textarea rows="6" name="konten.description" class="form-control" placeholder="maksimal 140 karakter">${konten?.description}</textarea>
					<span class="help-block">#{error 'konten.description' /}</span>
			</div>
		</div>
		 #{/if}
        #{else}
		<div class="form-group row">
			<label class="col-lg-2 col-form-label">URL</label>
			<div class="col-lg-10">
				<input type="text" name="konten.description" value="${konten?.description}" class="form-control #{validate 'konten.description'/}" placeholder="contoh : http://abcd.com"/>
				<div class="invalid-feedback">#{error 'konten.description' /}</div>
			</div>
		</div>
		 #{/else}
		<div class="form-group">
			<label class="col-lg-2 control-label">&{'konten.masaberlaku'} <span class="warning">*</span></label>
			<div class="col-lg-10 #{errorClass 'konten.valid_sampai'/}">
				<div class="input-group date width-normal">
                    <input name="konten.valid_sampai" type="text" value="${konten?.valid_sampai?.toDatepicker()}" class="form-control"/>
                    <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
					<div class="invalid-feedback">#{error 'konten.valid_sampai' /}</div>
               	</div>

			</div>
		</div>
		</div>
  		<div class="form-group row">
		    <div class="col-lg-offset-2 col-lg-10">
	    	#{saveButton /}
	    	#{backButton action:@admin.KontenMultimediaCtr.index() /}
	        </div>
	    </div>
  	#{/form}
</div>
